%define target avr

Name:           %{target}-gdb
Version:        9.2
Release:        %mkrel 1
Summary:        GDB for (remote) debugging %{target} binaries
Group:          Development/Tools
License:        GPLv2+
URL:            http://sources.redhat.com/gdb/
Source0:        http://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.xz
Source1:        README.mageia
BuildRequires:  pkgconfig(ncurses)
BuildRequires:	makeinfo

%description
This is a special version of GDB, the GNU Project debugger, for (remote)
debugging %{target} binaries. GDB allows you to see what is going on
inside another program while it executes or what another program was doing at
the moment it crashed.

%files
%doc gdb-%{version}/COPYING* gdb-%{version}/README*
%{_bindir}/%{name}*
%{_bindir}/avr-run
%{_mandir}/man?/avr-*

#--------------------------------------------------------------------

%prep
%setup -q -c
cp %{SOURCE1} .

# fix build on aarch64
for d in $(find . -name config.guess); do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $(dirname $d)
done

%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
  ../gdb-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-nls --disable-werror
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm -r $RPM_BUILD_ROOT%{_includedir}/gdb
rm -r $RPM_BUILD_ROOT%{_datadir}/gdb
# Should not be installed
rm    $RPM_BUILD_ROOT%{_libdir}/libavr-sim.a



%changelog
* Sun Nov 01 2020 wally <wally> 9.2-1.mga8
+ Revision: 1641098
- new version 9.2

* Wed Feb 12 2020 umeabot <umeabot> 7.1-12.mga8
+ Revision: 1510496
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 7.1-11.mga7
+ Revision: 1295207
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 wally <wally> 7.1-10.mga7
+ Revision: 1237864
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 7.1-9.mga6
+ Revision: 935440
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.1-8.mga5
+ Revision: 747410
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1-7.mga5
+ Revision: 678076
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.1-6.mga4
+ Revision: 502980
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.1-5.mga3
+ Revision: 346706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 7.1-4.mga3
+ Revision: 302644
- update RPM group

* Tue Jan 10 2012 dmorgan <dmorgan> 7.1-3.mga2
+ Revision: 194632
- imported package avr-gdb


* Mon Jun 27 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 7.1-3
- Pass --disable-werror to configure (Fix FTBS BZ#716110).
- Remove hacks to work-around -Werror.
- Get rid of superflous calls to "chrpath".
- Remove BR: chrpath.
- Remove %%{_libdir}/libavr-sim.a.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 11 2010 Thibault North <tnorth@fedoraproject.org> - 7.1-1
- avr-gdb 7.1

* Tue Mar 16 2010 Thibault North <tnorth@fedoraproject.org> - 7.0.1-2
- Also apply chrpath to avr-run

* Tue Mar 16 2010 Thibault North <tnorth@fedoraproject.org> - 7.0.1-1
- New upstream release
- Remove now obsolete patches

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 6.6-11
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 6.6-8
- Fix missing prototype compiler warnings

* Mon Feb 25 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 6.6-7
- Rebuild again as koji successfully build it but didn't tag it

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.6-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 6.6-5
- Update License tag for new Licensing Guidelines compliance
- Fix building with new glibc open checking

* Thu Jun 14 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 6.6-4
- Add BuildRequires: ncurses-devel (bz 243248)
- Use VPATh building (bz 243248)

* Mon Jun 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 6.6-3
- Remove bogus avr-gcc-c++ Requires (bz 243248)

* Fri Jun  8 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 6.6-2
- Various specfile cleanups

* Thu May 31 2007 Lennart Kneppers <lennartkneppers@gmail.com> 6.6-1
- Initial release
